package com.lanyuanxiaoyao.service.configuration.entity.zookeeper;

/**
 * Zookeeper 节点
 *
 * @author lanyuanxiaoyao
 * @date 2023-05-23
 */
public class ZookeeperNode {
    private String path;
    private String label;
    private Long createTime;
    private Long modifiedTime;

    public ZookeeperNode() {
    }

    public ZookeeperNode(String path, String label, Long createTime, Long modifiedTime) {
        this.path = path;
        this.label = label;
        this.createTime = createTime;
        this.modifiedTime = modifiedTime;
    }

    public String getPath() {
        return path;
    }

    public String getLabel() {
        return label;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public Long getModifiedTime() {
        return modifiedTime;
    }

    @Override
    public String toString() {
        return "ZookeeperNode{" +
                "path='" + path + '\'' +
                ", label='" + label + '\'' +
                ", createTime=" + createTime +
                ", modifiedTime=" + modifiedTime +
                '}';
    }
}
